<?php

namespace App\Modules\HtlCampSchedule\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface HtlCampScheduleRepository
{
    public function find(StorageCriteria $action): HtlCampSchedule | null;
    public function search(StorageCriteria $action): array;
    public function insert(HtlCampSchedule $model);
    public function update(HtlCampSchedule $model);
}
